UR::Exit(3pm)

NAME
UR::Exit - methods to allow clean application exits.

SYNOPSIS
  UR::Exit->exit_handler(\&mysub);

  UR::Exit->clean_exit($value);

DESCRIPTION
This module provides the ability to perform certain operations before an application exits.

METHODS
These methods provide exit functionality.

exit_handler
      UR::Exit->exit_handler(\&mysub);

    Specifies that a given subroutine be run when the application exits. (Unimplimented!)

clean_exit
      UR::Exit->clean_exit($value);

    Exit the application, running all registered subroutines. (Unimplimented! Just exits the application directly.)

death
    Catch any die or warn calls. This is a universal place to catch die and warn if debugging.

warning
    Give more informative warnings.

SEE ALSO
UR(3), Carp(3)